set style data lines
set clip two
set lmargin at screen 0.13
set bmargin at screen 0.12
set rmargin at screen 0.92
set tmargin at screen 0.91
set xlabel offset -27, 0.8
set ylabel offset 0.8, 0.0
set pointsize 1
set macro
set bars 2


proc='ggH'


set terminal pdfcairo dashed font ", 10" enhanced lw 1 size 2.8,3.3
set output 'plots/'.proc.'_uncertainty_summary_priorscan.pdf'
set title 'Higgs production in gluon fusion at LHC 13 TeV, m_H = 125 GeV'
set xrange [2.7:3.3]
set yrange [25:65]
#set xtics offset 0,-0.7
set xtics nomirror offset 0,-0.2 border rotate by -25
set ylabel '{/Symbol S} = cross section  [pb]'
set key bottom right Left reverse
#
#cb='rgbcolor "#666666"'
cb='rgbcolor "#ff2222"'
ca='rgbcolor "#ff8888"'
cc='rgbcolor "#cc6666"'
g ='rgbcolor "#33cc33"'
r ='rgbcolor "#ff4433"'
gr='rgbcolor "#888888"'
#
is1="ceil($1-0.1-1e-6)==floor($1-0.1+1e-6)  ? $1-0.3 : 0/0"
is2="ceil($1-0.1-1e-6)==floor($1-0.1+1e-6)  ? $1-0.2 : 0/0"
is3="ceil($1-0.1-1e-6)==floor($1-0.1+1e-6)  ? $1-0.1 : 0/0"
is4="ceil($1-0.1-1e-6)==floor($1-0.1+1e-6)  ? $1-0.0 : 0/0"
is5="ceil($1-0.1-1e-6)==floor($1-0.1+1e-6)  ? $1+0.1 : 0/0"
#
set label 4 'm_H = 125 GeV' at graph 0.7,0.95
set label 3 '{/Symbol m}_F = m_H/2' at graph 0.7,0.9
set label 2 '{/Symbol m} = m_H/2' at graph 0.7,0.85
#

file1 = 'output/'.proc.'_summary_muR0.5_00.dat'
file2 = 'output/'.proc.'_summary_muR0.5_0+.dat'
file3 = 'output/'.proc.'_summary_muR0.5_0-.dat'
file4 = 'output/'.proc.'_summary_muR0.5_+0.dat'
file5 = 'output/'.proc.'_summary_muR0.5_-0.dat'

set xtics ("ε = 0.1, ω = 1"2.8, "ε = 0.1, ω = 2"2.9, "ε = 0.1, ω = 0"3, "ε = 1, ω = 1"3.1, "ε = 0.01, ω = 1"3.2)

#
set label 1 'Geometric behaviour model' at graph 0.45,0.3
plot file1 using (@is1):4:7               w yerrorbars     ls 1 lc @cb lw  0.5 pt 7 ps 0     title 'std dev', \
     file1 using (@is1):10:(0):($11-$10)  w vectors nohead ls 1 lc @cc lw  1.5               title '95% DoB', \
     file1 using (@is1):8:(0):($9-$8)     w vectors nohead ls 1 lc @ca lw  5.0               title '68% DoB', \
     file1 using (@is1):6                 w p              ls 1 lc 0   lw  2.5 pt 7 ps 0.3   title 'mean=median', \
     file2 using (@is2):4:7               w yerrorbars     ls 1 lc @cb lw  0.5 pt 7 ps 0   notitle 'std dev', \
     file2 using (@is2):10:(0):($11-$10)  w vectors nohead ls 1 lc @cc lw  1.5             notitle '95% DoB', \
     file2 using (@is2):8:(0):($9-$8)     w vectors nohead ls 1 lc @ca lw  5.0             notitle '68% DoB', \
     file2 using (@is2):6                 w p              ls 1 lc 0   lw  2.5 pt 7 ps 0.3 notitle 'mean=median', \
     file3 using (@is3):4:7               w yerrorbars     ls 1 lc @cb lw  0.5 pt 7 ps 0   notitle 'std dev', \
     file3 using (@is3):10:(0):($11-$10)  w vectors nohead ls 1 lc @cc lw  1.5             notitle '95% DoB', \
     file3 using (@is3):8:(0):($9-$8)     w vectors nohead ls 1 lc @ca lw  5.0             notitle '68% DoB', \
     file3 using (@is3):6                 w p              ls 1 lc 0   lw  2.5 pt 7 ps 0.3 notitle 'mean=median', \
     file4 using (@is4):4:7               w yerrorbars     ls 1 lc @cb lw  0.5 pt 7 ps 0   notitle 'std dev', \
     file4 using (@is4):10:(0):($11-$10)  w vectors nohead ls 1 lc @cc lw  1.5             notitle '95% DoB', \
     file4 using (@is4):8:(0):($9-$8)     w vectors nohead ls 1 lc @ca lw  5.0             notitle '68% DoB', \
     file4 using (@is4):6                 w p              ls 1 lc 0   lw  2.5 pt 7 ps 0.3 notitle 'mean=median', \
     file5 using (@is5):4:7               w yerrorbars     ls 1 lc @cb lw  0.5 pt 7 ps 0   notitle 'std dev', \
     file5 using (@is5):10:(0):($11-$10)  w vectors nohead ls 1 lc @cc lw  1.5             notitle '95% DoB', \
     file5 using (@is5):8:(0):($9-$8)     w vectors nohead ls 1 lc @ca lw  5.0             notitle '68% DoB', \
     file5 using (@is5):6                 w p              ls 1 lc 0   lw  2.5 pt 7 ps 0.3 notitle 'mean=median', \
#





is1="ceil($1-0.2-1e-6)==floor($1-0.2+1e-6)  ? $1-0.3 : 0/0"
is2="ceil($1-0.2-1e-6)==floor($1-0.2+1e-6)  ? $1-0.2 : 0/0"
is3="ceil($1-0.2-1e-6)==floor($1-0.2+1e-6)  ? $1-0.1 : 0/0"
#

file1 = 'output/'.proc.'_summary_muR0.5_0.dat'
file2 = 'output/'.proc.'_summary_muR0.5_+.dat'
file3 = 'output/'.proc.'_summary_muR0.5_-.dat'

set xtics ("λ = 1"2.9, "λ = 2"3, "λ = 0"3.1)
set xrange [2.8:3.2]
set yrange [30:60]

#
set label 1 'Scale variation model' at graph 0.45,0.3
plot file1 using (@is1):4:7               w yerrorbars     ls 1 lc @cb lw  0.5 pt 7 ps 0     title 'std dev', \
     file1 using (@is1):10:(0):($11-$10)  w vectors nohead ls 1 lc @cc lw  1.5               title '95% DoB', \
     file1 using (@is1):8:(0):($9-$8)     w vectors nohead ls 1 lc @ca lw  5.0               title '68% DoB', \
     file1 using (@is1):6                 w p              ls 1 lc 0   lw  2.5 pt 7 ps 0.3   title 'mean=median', \
     file2 using (@is2):4:7               w yerrorbars     ls 1 lc @cb lw  0.5 pt 7 ps 0   notitle 'std dev', \
     file2 using (@is2):10:(0):($11-$10)  w vectors nohead ls 1 lc @cc lw  1.5             notitle '95% DoB', \
     file2 using (@is2):8:(0):($9-$8)     w vectors nohead ls 1 lc @ca lw  5.0             notitle '68% DoB', \
     file2 using (@is2):6                 w p              ls 1 lc 0   lw  2.5 pt 7 ps 0.3 notitle 'mean=median', \
     file3 using (@is3):4:7               w yerrorbars     ls 1 lc @cb lw  0.5 pt 7 ps 0   notitle 'std dev', \
     file3 using (@is3):10:(0):($11-$10)  w vectors nohead ls 1 lc @cc lw  1.5             notitle '95% DoB', \
     file3 using (@is3):8:(0):($9-$8)     w vectors nohead ls 1 lc @ca lw  5.0             notitle '68% DoB', \
     file3 using (@is3):6                 w p              ls 1 lc 0   lw  2.5 pt 7 ps 0.3 notitle 'mean=median', \
#


quit
